#!/bin/sh
version=20090907
user=`echo $HOME | sed -e 's/\/home\///'`

echo "L2Ork Patch $version says hi. Let's get the party started..."
if [ $(id -u) != "0" ]; then
    echo "ERROR! This script needs to be run as superuser!\nPress any key to exit."
	read input
	exit 1
fi

echo "\n\nUpdating user files & settings..."
cp -f QjackCtl.conf ~/.config/rncbc.org/QjackCtl.conf
chown $user:$user ~/.config/rncbc.org/QjackCtl.conf
cp -f killall-1.desktop ~/.gnome2/panel2.d/default/launchers/killall-1.desktop
chown $user:$user ~/.gnome2/panel2.d/default/launchers/killall-1.desktop
cp -f pd-1.desktop ~/.gnome2/panel2.d/default/launchers/pd-1.desktop
chown $user:$user ~/.gnome2/panel2.d/default/launchers/pd-1.desktop
rm -rf ~/.gconf/apps/panel*
cp -r panel/ ~/.gconf/apps/
chown $user:$user -R ~/.gconf/apps/panel/
gconftool-2 --type string --set "/system/gstreamer/0.10/default/audiosink" "alsasink"
gconftool-2 --type string --set "/system/gstreamer/0.10/default/audiosink_description" "ALSA - Advanced Linux Sound Architecture"
gconftool-2 --type string --set "/system/gstreamer/0.10/default/audiosrc" "alsasrc"
gconftool-2 --type string --set "/system/gstreamer/0.10/default/audiosrc_description" "ALSA - Advanced Linux Sound Architecture"
gconftool-2 --type string --set "/system/gstreamer/0.10/default/chataudiosink" "alsasink"
gconftool-2 --type string --set "/system/gstreamer/0.10/default/chataudiosink_description" "ALSA - Advanced Linux Sound Architecture"
gconftool-2 --type string --set "/system/gstreamer/0.10/default/musicaudiosink" "alsasink"
gconftool-2 --type string --set "/system/gstreamer/0.10/default/musicaudiosink_description" "ALSA - Advanced Linux Sound Architecture"

echo "\n\nUpdating system files and settings..."
echo "IMPORTANT! IN THE NEXT STEP YOU WILL BE ASKED TO RECONFIGURE CPU FREQUENCY SHIFTING APPLET TO ALLOW ORDINARY USERS TO CHANGE CPU FREQUENCY. PLEASE ANSWER *YES* WHEN THE QUESTION POPS-UP."
echo "Please press return to continue..."
read input
dpkg-reconfigure gnome-applets
cp -f Default /etc/gdm/PostSession/Default
update-rc.d pulseaudio stop 50 2 3 4 5 .
asoundconf unset-pulseaudio
asoundconf set-default-card Intel
cp -f libao.conf /etc/libao.conf
cp -f xorg.conf /etc/X11/xorg.conf
cp -f client.conf /etc/pulse/client.conf
cp -f default.pa /etc/pulse/default.pa
cp -f alsa.conf /usr/share/alsa/alsa.conf

echo "\n\nUpdating Pd stuff..."
cp -f pd /usr/lib/pd/bin/pd
cp -f wiimote.pd_linux /usr/local/lib/pd/extra/wiimote.pd_linux

echo "\n\nChecking for software updates..."
apt-get -y install cpufrequtils
chmod 7455 /usr/bin/cpufreq-set
apt-get -y update
apt-get -y upgrade

echo "\n\nContemplating meaning of life..."
rm -f ~/L2Ork_20090907.tar.gz
sleep 1

echo "\n\nDone. Please logout (and reboot, if such is required by the software updates) for changes to take place. Goodbye!"
exit 0
